<?php

namespace App\Http\Controllers\Admin;

use App\Models\Code;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use App\Http\Controllers\Controller;

class DiscountCodeController extends Controller
{
    public function index()
    {
        $codes = Code::paginate(20);

        $usedCodesCount = Code::where('code_status', 1)->count();
        $remainingCodesCount = Code::where('code_status', 0)->count();

        return view('admin.discount-codes.index', compact('codes', 'usedCodesCount', 'remainingCodesCount'));
    }

    public function viewAllDiscountCodes(){
        $codes = Code::all();
        return view('admin.discount-codes.all', compact('codes'));
    }
    public function resetCodes()
    {
        Code::query()->update(['code_status' => 0]);
        return redirect()->route('discount-codes.index')->with('success', 'تمامی کدها ریست شدند.');
    }
    public function generateCodes()
    {
        $generatedCodes = [];
        $i = 0;
        while ($i < 1000) {
            $code = $this->generateDiscountCode();
            if (!in_array($code, $generatedCodes) && !Code::where('code', $code)->exists()) {
                Code::create([
                    'code' => $code,
                    'code_status' => 0,
                ]);
                $generatedCodes[] = $code;
                $i++;
            }
        }
        return redirect()->route('discount-codes.index')->with('success', '1000 کد تخفیف جدید تولید شد.');
    }


    private function generateDiscountCode()
    {
        $code = rand(1000000000, 9999999999);
        if (substr($code, 0, 1) == '0') {
            return $this->generateDiscountCode();
        }
        return (string) $code;
    }
}
