<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use App\Models\UserMedia;
use App\Models\Code;
use App\Models\Type;
use App\Models\User;
use Illuminate\Support\Facades\Storage;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;



class PageController extends Controller
{

    public function capture(){

        return view('front.capture-media');
    }

    public function home()
    {

//        for ($i = 1; $i <= 1000; $i++) {
//            $user = User2::whereId($i)->first();
//            if ($user) {
//                $inUser = User::where('phone_number',$user->phone_number)->first();
//
//                if ($inUser){
//                    $UID = $inUser->id;
//                }else{
//                    $newUser = new User();
//                    $newUser->name = $user->name ? $user->name : null;
//                    $newUser->phone_number = $user->phone_number;
//                    $newUser->birthday = $user->birthday ? $user->birthday : null;
//                    $newUser->save();
//
//                    $UID = $newUser->id;
//                }
//
//
//                $userMediaImage = new UserMedia();
//                $userMediaImage->user_id =$UID;
//                $userMediaImage->media_type = 'image';
//                $userMediaImage->media_source =$user->image_name;
//                $userMediaImage->save();
//
//                $userMediaVideo = new UserMedia();
//                $userMediaVideo->user_id =$UID;
//                $userMediaVideo->media_type = 'video';
//                $userMediaVideo->media_source =$user->video_name;
//                $userMediaVideo->save();
//            }
//        }
//        set_time_limit(600);
//        User2::chunk(1000, function($users) {
//            foreach ($users as $user) {
//                $inUser = User::firstOrCreate(
//                    ['phone_number' => $user->phone_number],
//                    [
//                        'name' => $user->name ?: null,
//                        'birthday' => $user->birthday ?: null
//                    ]
//                );
//
//                $inUser->userMedia()->create([
//                    'media_type' => 'image',
//                    'media_source' => $user->image_name ?: ""
//                ]);
//
//                $inUser->userMedia()->create([
//                    'media_type' => 'video',
//                    'media_source' => $user->video_name ?: ""
//                ]);
//            }
//        });




    }

    public function store(Request $request)
    {

//        $request->validate([
//            'city' => 'nullable|string|max:255',
//            'phone_number' => 'required|string|max:255',
//            'image' => 'nullable|mimes:jpeg,png,jpg,gif|max:2048',
//            'video' => 'nullable|mimetypes:video/mp4,video/webm|max:5240',
//        ]);

        // تعیین نام شهر یا مقدار پیش‌فرض "no-city"
        $cityName = $request->input('city', 'no-city');

        // ایجاد مسیر بر اساس سال و ماه جاری
        $year = Carbon::now()->year;
        $month = Carbon::now()->month;
        $storagePath = "public/{$cityName}/{$year}/{$month}";
        $path = "{$cityName}/{$year}/{$month}";

        // بررسی و ایجاد دایرکتوری در صورت عدم وجود
        if (!Storage::exists($storagePath)) {
            Storage::makeDirectory($storagePath);
        }

        // بررسی وجود کاربر با شماره تلفن
        $user = User::where('phone_number', $request->phone_number)->first();

        // اگر کاربر وجود نداشت، کاربر جدید ایجاد کن
        if (!$user) {
            $user = User::create([
                'name' => $request->input('name'), // می‌توانید نام کاربر را هم از فرم بگیرید
                'phone_number' => $request->phone_number,
            ]);
        }

        // آرایه‌ای برای ذخیره کردن media ها
        $mediaData = [];

        // ذخیره فایل تصویر اگر موجود باشد
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = "user_" . $user->id . "_" . time() . "_image." . $image->getClientOriginalExtension();
            $imagePath = $image->storeAs($storagePath, $imageName, 'local');

            // ذخیره اطلاعات تصویر در آرایه
            $mediaData[] = [
                'user_id' => $user->id,
                'media_type' => 'image',
                'media_source' => $imageName,
                'path' => $path,
                'city_name' => $cityName,
                'media_status' => false,
            ];
        }

        // ذخیره فایل ویدئو اگر موجود باشد
        if ($request->hasFile('video')) {
            $file = $request->file('video');
            $filenameWithExt = $file->getClientOriginalName();
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            $extension = 'mp4';
            $fileNameToStore = preg_replace('/\s+/', '_', $filename . '_' . time() . '.' . $extension);

            Storage::disk('local')->putFileAs($storagePath, $file, $fileNameToStore);

            // ذخیره اطلاعات ویدئو در آرایه
            $mediaData[] = [
                'user_id' => $user->id,
                'media_type' => 'video',
                'media_source' => $fileNameToStore,
                'path' => $path,
                'city_name' => $cityName,
                'media_status' => false,
            ];
        }

        foreach ($mediaData as $media) {
            UserMedia::create($media);
        }

        return response()->json([
            'message' => 'Media uploaded successfully',
            'data' => $mediaData
        ], 201);
    }

}
