<?php

namespace App\Http\Controllers\Front;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class UserController extends Controller
{
    public function userProfile()
    {

        $user = Auth()->user();
        return view('front.user-profile',compact('user'));
    }




    public function userSaveInformation(Request $request)
    {
        // Step 1: Validate the input
        $validatedData = $request->validate([
            'name' => 'required|string|max:255',
            'birthday' => 'required|string|max:255',
        ]);

        // Step 2: Retrieve the authenticated user
        $user = Auth::user();
        if (!$user) {
            return response()->json(['success' => false, 'message' => 'Unauthorized access.'], 401);
        }

        // Step 3: Assign validated data to the user attributes
        $user->name = $validatedData['name'];
        $user->birthday = $validatedData['birthday'];

        // Step 4: Save and handle errors
        if ($user->save()) {
            return response()->json(['success' => true, 'message' => 'اطلاعات با موفقیت ذخیره شد']);
        } else {
            return response()->json(['success' => false, 'message' => 'در ذخیره سازی اطلاعات مشکلی بوجود آمده است'], 500);
        }
    }

}
