<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

class StorePermissionRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'name' => [
                'required',
                'max:50',
                Rule::unique('permissions')->ignore($this->permission)
            ],
        ];
    }

    public function authorize(): bool
    {
        return true;
    }

    public function messages()
    {
        return [
            'name.required' => 'عنوان الزامی است',
            'name.unique' => 'عنوان قبلا انتخاب شده است',
            'name.max' => 'تعداد کاراکترهای فیلد عنوان نباید بیشتر از 50 باشد.',
        ];
    }
}
