<?php

namespace Database\Factories;

use App\Models\DataForms;
use Illuminate\Database\Eloquent\Factories\Factory;
use Faker\Factory as FakerFactory;

class DataFormsFactory extends Factory
{
    protected $model = DataForms::class;

    public function definition()
    {
        $faker = FakerFactory::create('fa_IR');
        static $groupId = 1;
        return [
            'key' => $faker->randomElement([
                'first_name',
                'last_name',
                'phone',
                'university',
                'field_study',
                'grade',
                'email',
                'residence_city',
                'idea_subject',
                'introduction',
                'idea_short_desc',
                'solve_improve_desc',
                'execution_method_desc',
                'result_desc',
                'request_from_farabi',
                'idea_step',
                'got_help',
                'status'
            ]),
            'value' => $this->generateFarsiValue($faker),
            'form_id' => 3,
            'group_id' => 9,
            'created_at' => now(),
            'updated_at' => now(),
        ];
    }

    protected function generateFarsiValue($faker)
    {
        $key = $this->faker->randomElement([
            'first_name',
            'last_name',
            'phone',
            'university',
            'field_study',
            'grade',
            'email',
            'residence_city',
            'idea_subject',
            'introduction',
            'idea_short_desc',
            'solve_improve_desc',
            'execution_method_desc',
            'result_desc',
            'request_from_farabi',
            'idea_step',
            'got_help',
            'status'
        ]);
        switch ($key) {
            case 'first_name':
                return $faker->firstName;
            case 'last_name':
                return $faker->lastName;
            case 'phone':
                return $faker->phoneNumber;
            case 'university':
                return 'دانشگاه ' . $faker->city;
            case 'field_study':
                return $faker->jobTitle;
            case 'grade':
                return $faker->randomElement(['لیسانس', 'فوق لیسانس', 'دکترا']);
            case 'email':
                return $faker->email;
            case 'residence_city':
                return $faker->city;
            case 'idea_subject':
                return 'موضوع ' . $faker->word;
            case 'introduction':
                return 'خودتان را معرفی نمایید.';
            case 'idea_short_desc':
                return 'خلاصه‌ای از ایده خود را بنویسید.';
            case 'solve_improve_desc':
                return 'ایده شما حل کننده یک مشکل است و یا بهبوددهنده یک محصول؟';
            case 'execution_method_desc':
                return 'روش اجرا و نحوه پیاده سازی ایده به چه شکل است؟';
            case 'result_desc':
                return 'نتایج موردنظر شما از اجرای ایده چیست؟';
            case 'request_from_farabi':
                return 'درخواست شما از کارگزاری فارابی چیست؟';
            case 'idea_step':
                return 'در مرحله MPV';
            case 'got_help':
                return $faker->randomElement(['بله', 'خیر']);
            case 'status':
                return $faker->randomElement(['seen', 'unseen']);
            default:
                return $faker->sentence;
        }
    }
}
