<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => 'فیلد :attribute باید تایید شود.',
    'accepted_if' => 'فیلد :attribute باید تایید شود وقتی که :other برابر با :value است.',
    'active_url' => 'فیلد :attribute باید یک URL معتبر باشد.',
    'after' => 'فیلد :attribute باید یک تاریخ پس از :date باشد.',
    'after_or_equal' => 'فیلد :attribute باید یک تاریخ پس از یا برابر با :date باشد.',
    'alpha' => 'فیلد :attribute باید فقط شامل حروف باشد.',
    'alpha_dash' => 'فیلد :attribute باید فقط شامل حروف، اعداد، خط تیره و زیرخط باشد.',
    'alpha_num' => 'فیلد :attribute باید فقط شامل حروف و اعداد باشد.',
    'array' => 'فیلد :attribute باید یک آرایه باشد.',
    'ascii' => 'فیلد :attribute باید فقط شامل کاراکترهای الفبای ASCII باشد.',
    'before' => 'فیلد :attribute باید یک تاریخ قبل از :date باشد.',
    'before_or_equal' => 'فیلد :attribute باید یک تاریخ قبل از یا برابر با :date باشد.',
    'between' => [
        'array' => 'فیلد :attribute باید بین :min و :max آیتم داشته باشد.',
        'file' => 'فیلد :attribute باید بین :min و :max کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بین :min و :max باشد.',
        'string' => 'فیلد :attribute باید بین :min و :max کاراکتر باشد.',
    ],
    'boolean' => 'فیلد :attribute باید true یا false باشد.',
    'can' => 'مقدار فیلد :attribute نامعتبر است.',
    'confirmed' => 'تاییدیه فیلد :attribute مطابقت ندارد.',
    'current_password' => 'گذرواژه اشتباه است.',
    'date' => 'فیلد :attribute باید یک تاریخ معتبر باشد.',
    'date_equals' => 'فیلد :attribute باید یک تاریخ برابر با :date باشد.',
    'date_format' => 'فیلد :attribute باید با فرمت :format مطابقت داشته باشد.',
    'decimal' => 'فیلد :attribute باید دارای :decimal مراتب اعشار باشد.',
    'declined' => 'فیلد :attribute باید رد شود.',
    'declined_if' => 'فیلد :attribute باید رد شود وقتی که :other برابر با :value است.',
    'different' => 'فیلد :attribute و :other باید متفاوت باشند.',
    'digits' => 'فیلد :attribute باید :digits رقم باشد.',
    'digits_between' => 'فیلد :attribute باید بین :min و :max رقم باشد.',
    'dimensions' => 'ابعاد تصویر فیلد :attribute نامعتبر است.',
    'distinct' => 'فیلد :attribute دارای یک مقدار تکراری است.',
    'doesnt_end_with' => 'فیلد :attribute نباید با یکی از موارد زیر پایان یابد: :values.',
    'doesnt_start_with' => 'فیلد :attribute نباید با یکی از موارد زیر شروع شود: :values.',
    'email' => 'فیلد :attribute باید یک آدرس ایمیل معتبر باشد.',
    'ends_with' => 'فیلد :attribute باید با یکی از موارد زیر پایان یابد: :values.',
    'enum' => 'انتخاب شده :attribute نامعتبر است.',
    'exists' => 'انتخاب شده :attribute نامعتبر است.',
    'extensions' => 'فیلد :attribute باید یکی از این پسوندها را داشته باشد: :values.',
    'file' => 'فیلد :attribute باید یک فایل باشد.',
    'filled' => 'فیلد :attribute باید یک مقدار داشته باشد.',
    'gt' => [
        'array' => 'فیلد :attribute باید بیشتر از :value آیتم داشته باشد.',
        'file' => 'فیلد :attribute باید بیشتر از :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بیشتر از :value باشد.',
        'string' => 'فیلد :attribute باید بیشتر از :value کاراکتر باشد.',
    ],
    'gte' => [
        'array' => 'فیلد :attribute باید دارای :value آیتم یا بیشتر باشد.',
        'file' => 'فیلد :attribute باید بیشتر یا برابر با :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید بیشتر یا برابر با :value باشد.',
        'string' => 'فیلد :attribute باید بیشتر یا برابر با :value کاراکتر باشد.',
    ],
    'hex_color' => 'فیلد :attribute باید یک رنگ شش‌گانه هگزادسیمال معتبر باشد.',
    'image' => 'فیلد :attribute باید یک تصویر باشد.',
    'in' => 'انتخاب شده :attribute نامعتبر است.',
    'in_array' => 'فیلد :attribute باید در :other وجود داشته باشد.',
    'integer' => 'فیلد :attribute باید یک عدد صحیح باشد.',
    'ip' => 'فیلد :attribute باید یک آدرس IP معتبر باشد.',
    'ipv4' => 'فیلد :attribute باید یک آدرس IPv4 معتبر باشد.',
    'ipv6' => 'فیلد :attribute باید یک آدرس IPv6 معتبر باشد.',
    'json' => 'فیلد :attribute باید یک رشته JSON معتبر باشد.',
    'lowercase' => 'فیلد :attribute باید با حروف کوچک نوشته شود.',
    'lt' => [
        'array' => 'فیلد :attribute باید دارای کمتر از :value آیتم باشد.',
        'file' => 'فیلد :attribute باید کمتر از :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید کمتر از :value باشد.',
        'string' => 'فیلد :attribute باید کمتر از :value کاراکتر باشد.',
    ],
    'lte' => [
        'array' => 'فیلد :attribute باید دارای کمتر یا برابر با :value آیتم باشد.',
        'file' => 'فیلد :attribute باید کمتر یا برابر با :value کیلوبایت باشد.',
        'numeric' => 'فیلد :attribute باید کمتر یا برابر با :value باشد.',
        'string' => 'فیلد :attribute باید کمتر یا برابر با :value کاراکتر باشد.',
    ],
    'mac_address' => 'فیلد :attribute باید یک آدرس MAC معتبر باشد.',
    'max' => [
        'array' => 'تعداد موارد در فیلد :attribute نباید بیشتر از :max باشد.',
        'file' => 'اندازه فایل در فیلد :attribute نباید بیشتر از :max کیلوبایت باشد.',
        'numeric' => 'مقدار فیلد :attribute نباید بیشتر از :max باشد.',
        'string' => 'تعداد کاراکترهای فیلد :attribute نباید بیشتر از :max باشد.',
    ],
    'max_digits' => 'تعداد ارقام فیلد :attribute نباید بیشتر از :max باشد.',
    'mimes' => 'فرمت فایل در فیلد :attribute باید یکی از فرمت‌های :values باشد.',
    'mimetypes' => 'نوع فایل در فیلد :attribute باید یکی از نوع‌های :values باشد.',
    'min' => [
        'array' => 'تعداد موارد در فیلد :attribute نباید کمتر از :min باشد.',
        'file' => 'اندازه فایل در فیلد :attribute نباید کمتر از :min کیلوبایت باشد.',
        'numeric' => 'مقدار فیلد :attribute نباید کمتر از :min باشد.',
        'string' => 'تعداد کاراکترهای فیلد :attribute نباید کمتر از :min باشد.',
    ],
    'min_digits' => 'تعداد ارقام فیلد :attribute نباید کمتر از :min باشد.',
    'missing' => 'فیلد :attribute باید خالی باشد.',
    'missing_if' => 'فیلد :attribute باید خالی باشد زمانی که :other برابر با :value است.',
    'missing_unless' => 'فیلد :attribute باید خالی باشد مگر اینکه :other برابر با :value باشد.',
    'missing_with' => 'فیلد :attribute باید خالی باشد زمانی که :values حاضر است.',
    'missing_with_all' => 'فیلد :attribute باید خالی باشد زمانی که :values حاضر هستند.',
    'multiple_of' => 'مقدار فیلد :attribute باید ضریبی از :value باشد.',
    'not_in' => 'مقدار انتخاب شده در فیلد :attribute نامعتبر است.',
    'not_regex' => 'فرمت فیلد :attribute نامعتبر است.',
    'numeric' => 'مقدار فیلد :attribute باید یک عدد باشد.',
    'password' => [
        'letters' => 'فیلد :attribute باید حاوی حداقل یک حرف باشد.',
        'mixed' => 'فیلد :attribute باید حاوی حداقل یک حرف بزرگ و یک حرف کوچک باشد.',
        'numbers' => 'فیلد :attribute باید حاوی حداقل یک عدد باشد.',
        'symbols' => 'فیلد :attribute باید حاوی حداقل یک نماد باشد.',
        'uncompromised' => 'مقدار :attribute وارد شده در یک نشست داده‌ها ظاهر شده است. لطفاً یک :attribute دیگر انتخاب کنید.',
    ],
    'present' => 'فیلد :attribute باید حاضر باشد.',
    'present_if' => 'فیلد :attribute باید حاضر باشد زمانی که :other برابر با :value است.',
    'present_unless' => 'فیلد :attribute باید حاضر باشد مگر اینکه :other برابر با :value باشد.',
    'present_with' => 'فیلد :attribute باید حاضر باشد زمانی که :values حاضر است.',
    'present_with_all' => 'فیلد :attribute باید حاضر باشد زمانی که :values حاضر هستند.',
    'prohibited' => 'فیلد :attribute ممنوع است.',
    'prohibited_if' => 'فیلد :attribute ممنوع است زمانی که :other برابر با :value است.',
    'prohibited_unless' => 'فیلد :attribute ممنوع است مگر اینکه :other در :values باشد.',
    'prohibits' => 'فیلد :attribute ممنوع می‌کند :other از حاضر بودن.',
    'regex' => 'فرمت فیلد :attribute نامعتبر است.',
    'required' => 'فیلد :attribute الزامی است.',
    'required_array_keys' => 'فیلد :attribute باید ورودی‌هایی برای :values داشته باشد.',
    'required_if' => 'فیلد :attribute الزامی است زمانی که :other برابر با :value است.',
    'required_if_accepted' => 'فیلد :attribute الزامی است زمانی که :other پذیرفته شده است.',
    'required_unless' => 'فیلد :attribute الزامی است مگر اینکه :other در :values باشد.',
    'required_with' => 'فیلد :attribute الزامی است زمانی که :values حاضر است.',
    'required_with_all' => 'فیلد :attribute الزامی است زمانی که :values حاضر هستند.',
    'required_without' => 'فیلد :attribute الزامی است زمانی که :values حاضر نیستند.',
    'required_without_all' => 'فیلد :attribute الزامی است زمانی که هیچکدام از :values حاضر نیستند.',
    'same' => 'مقدار فیلد :attribute باید با :other برابر باشد.',
    'size' => [
        'array' => 'تعداد موارد در فیلد :attribute باید برابر با :size باشد.',
        'file' => 'اندازه فایل در فیلد :attribute باید برابر با :size کیلوبایت باشد.',
        'numeric' => 'مقدار فیلد :attribute باید برابر با :size باشد.',
        'string' => 'تعداد کاراکترهای فیلد :attribute باید برابر با :size باشد.',
    ],
    'starts_with' => 'مقدار فیلد :attribute باید با یکی از مقادیر زیر شروع شود: :values.',
    'string' => 'مقدار فیلد :attribute باید یک رشته باشد.',
    'timezone' => 'مقدار فیلد :attribute باید یک منطقه زمانی معتبر باشد.',
    'unique' => 'مقدار فیلد :attribute قبلاً استفاده شده است.',
    'uploaded' => 'آپلود فایل در فیلد :attribute با شکست مواجه شد.',
    'uppercase' => 'مقدار فیلد :attribute باید شامل حروف بزرگ باشد.',
    'url' => 'مقدار فیلد :attribute باید یک URL معتبر باشد.',
    'ulid' => 'مقدار فیلد :attribute باید یک ULID معتبر باشد.',
    'uuid' => 'مقدار فیلد :attribute باید یک UUID معتبر باشد.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [

    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => include (base_path('lang/fa/forms.php')),

];

