@section('title', 'ویرایش شهر')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            <div class="card mb-3">
                <div class="card-header position-relative">
                    <a href="{{ route('cities.index') }}" class="position-absolute start-0 mx-2 fs-8 fw-normal">
                        @svg('assets/admin/images/back.svg')
                        <span>بازگشت</span>
                    </a>
                    ویرایش شهر «{{ $city->name }}»
                </div>
                <div class="card-body">
                    <form action="{{ route('cities.update', $city->id) }}" method="post">
                        @method('PUT')
                        @csrf
                        <div class="col-md-12 mb-3">
                            <label for="name" class="col-md-12 col-form-label ">نام شهر</label>
                            <input type="text" id="name" name="name" class="form-control" value="{{ old('name', $city->name) }}" required>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label for="name_en" class="col-md-12 col-form-label ">نام شهر به انگلیسی</label>
                            <input type="text" id="name_en" name="" class="form-control" value="{{ old('name_en', $city->name_en) }}" disabled required>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label for="prize_type" class="col-md-12 col-form-label ">نوع جایزه</label>
                            <select id="prize_type" name="prize_type" class="form-control" required>
                                <option value="queue" {{ $city->prize_type == 'queue' ? 'selected' : '' }}>صف</option>
                                <option value="discount_code" {{ $city->prize_type == 'discount_code' ? 'selected' : '' }}>کد تخفیف</option>
                                <option value="custom_sms" {{ $city->prize_type == 'custom_sms' ? 'selected' : '' }}>پیامک دلخواه</option>
                            </select>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label for="custom_sms_text" class="col-md-12 col-form-label ">متن پیامک دلخواه</label>
                            <textarea id="custom_sms_text" name="custom_sms_text" class="form-control">{{ old('custom_sms_text', $city->custom_sms_text) }}</textarea>
                        </div>

                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary px-5">ذخیره</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
