@section('title', 'شهرها')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            <div class="card">
                <div class="card-header">شهرها</div>
                <div class="card-body">
                    @if (auth()->user()->can('create city'))
                        <a href="{{ route('cities.create') }}" class="btn btn-outline-success" role="button">
                            + ایجاد شهر جدید
                        </a>
                    @endif
                    @if (!$cities->isEmpty())
                        <table class="table table-hover align-middle mt-3">
                            <thead>
                            <tr>
                                <th>نام شهر</th>
                                <th>نام شهر به انگلیسی</th>
                                <th>نوع جایزه</th>
                                <th>لینک شهر</th>
                                <th class="text-end">عملیات</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($cities as $city)
                                <tr>
                                    <td class="fw-bold">
                                        <a><span>{{ $city->name }}</span></a>
                                    </td>
                                    <td>
                                        <span>{{ $city->name_en }}</span>
                                    </td>
                                    <td>
                                        <span>
                                            @if ($city->prize_type === 'queue')
                                                صف
                                            @elseif ($city->prize_type === 'discount_code')
                                                کد تخفیف
                                            @elseif ($city->prize_type === 'custom_sms')
                                                پیامک دلخواه
                                            @endif
                                        </span>
                                    </td>
                                    <td>
                                        <a href="/capture?city={{$city->name_en}}" target="_blank">لینک</a>
                                    </td>
                                    <td class="text-end">
                                        <a href="{{ route('cities.edit', $city->id) }}" class="btn btn-success">
                                            @svg('assets/admin/images/edit.svg')
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        <div class="mx-2">{{ $cities->links() }}</div>
                    @else
                        <div class="my-4 text-center">هیچ شهری وجود ندارد.</div>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
