@extends('admin.main')

@section('title', 'کدهای تخفیف')

@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            <div class="card">
                <div class="card-header">کدهای تخفیف</div>
                <div class="card-body">

                    @if ($codes->isEmpty())
                        <form action="{{ route('discount-codes.generate') }}" method="POST">
                            @csrf
                            <button class="btn btn-outline-success mb-3" type="submit">   + تولید 1000 کد تخفیف جدید</button>
                        </form>
                    @else
                        <a href="{{ route('discount-codes.reset') }}" class="btn btn-outline-warning mb-3" role="button">
                            ریست تمامی کدها
                        </a>
                        <a href="{{ route('discount-codes.view-all') }}" class="btn btn-outline-primary mb-3" role="button" target="_blank">
                            نمایش تمامی کدها
                        </a>
                    @endif

                    <div class="mb-3">
                        <p>
                            <strong>کدهای استفاده‌شده: </strong>{{ $usedCodesCount }} <br><br>
                            <strong>کدهای باقی‌مانده: </strong>{{ $remainingCodesCount }} <br>
                        </p>
                    </div>
                    @if (!$codes->isEmpty())
                        <table class="table table-hover align-middle mt-3">
                            <thead>
                            <tr>
                                <th>کد</th>
                                <th>وضعیت</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($codes as $code)
                                <tr>
                                    <td class="fw-bold">{{ $code->code }}</td>
                                    <td>
                                        @if ($code->code_status == 0)
                                            <span class="badge bg-warning">غیرفعال</span>
                                        @else
                                            <span class="badge bg-success">فعال</span>
                                        @endif
                                    </td>

                                </tr>
                            @endforeach
                            </tbody>
                        </table>

                        <!-- صفحه‌بندی -->
                        <div class="mx-2">{{ $codes->links() }}</div>
                    @else
                        <div class="my-4 text-center">هیچ کدی وجود ندارد.</div>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
