@php $toggled = isset($_COOKIE['menu']) ? 'toggled' : ''; @endphp
@php $menu_style = ($toggled) ? ' style="opacity: 0;"' : ''; @endphp
<div class="d-flex px-md-2 py-3">
    <ul class="nav flex-column w-100 px-0 py-2 menu accordion" id="{{ $menu_id }}">
        <li class="nav-item mb-3">
            <a class="d-block px-3 py-1 text-body {{ Request::routeIs('dashboard') ? 'active' : '' }}" title="داشبورد" aria-current="page" href="{{ route('dashboard') }}">
               @svg('assets/admin/images/dashboard.svg', 'text-primary')
                <span class="ms-2"{!! $menu_style !!}>داشبورد</span>
            </a>
        </li>
            <li class="nav-item mb-3">
                @php
                    $nav_status = false;
                    if (request()->routeIs(['showImageApproved', 'showImageNotApproved'])) {
                        $nav_status = true;
                    }
                @endphp
                <div class="d-block px-3 py-1 text-body fs-normal{{ $nav_status ? '' : ' collapsed' }}" data-bs-toggle="collapse" data-bs-target="#showImageApproved" aria-controls="showImageApproved" aria-expanded="{{ $nav_status ? 'true' : 'false' }}">
                    @svg('assets/admin/images/camera.svg', 'text-primary')
                    <span class="ms-2"{!! $menu_style !!}>تصاویر</span>
                    @svg('assets/admin/images/arrow-left.svg', 'arrow float-start mt-1 text-primary')
                </div>
            </li>
            <div class="collapse{{ $nav_status ? ' show' : '' }}" id="showImageApproved" data-bs-parent="#{{ $menu_id }}">
                <ul class="nav flex-column bg-secondary-subtle rounded mb-3 px-0 py-2">
                    <li class="nav-item mb-3">
                        <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('showImageApproved') ? 'active' : '' }}" title="تصاویر تایید شده" aria-current="page" href="{{ route('showImageApproved') }}">
                            @svg('assets/admin/images/camera.svg', 'text-primary')
                            <span class="ms-2"{!! $menu_style !!}>تصاویر تایید شده</span>
                        </a>
                    </li>
                    <li class="nav-item mb-3">
                        <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('showImageNotApproved') ? 'active' : '' }}" title="تصاویر تایید نشده" aria-current="page" href="{{ route('showImageNotApproved') }}">
                            @svg('assets/admin/images/camera.svg', 'text-primary')
                            <span class="ms-2"{!! $menu_style !!}>تصاویر تایید نشده</span>
                        </a>
                    </li>
                </ul>
            </div>


        <li class="nav-item mb-3">
            @php
                $nav_status = false;
                if (request()->routeIs(['showVideoApproved', 'showVideoNotApproved'])) {
                    $nav_status = true;
                }
            @endphp
            <div class="d-block px-3 py-1 text-body fs-normal{{ $nav_status ? '' : ' collapsed' }}" data-bs-toggle="collapse" data-bs-target="#showVideoApproved" aria-controls="showVideoApproved" aria-expanded="{{ $nav_status ? 'true' : 'false' }}">
                @svg('assets/admin/images/camera-video.svg', 'text-primary')
                <span class="ms-2"{!! $menu_style !!}>ویدئوهای</span>
                @svg('assets/admin/images/arrow-left.svg', 'arrow float-start mt-1 text-primary')
            </div>
        </li>
        <div class="collapse{{ $nav_status ? ' show' : '' }}" id="showVideoApproved" data-bs-parent="#{{ $menu_id }}">
            <ul class="nav flex-column bg-secondary-subtle rounded mb-3 px-0 py-2">
                <li class="nav-item mb-3">
                    <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('showVideoApproved') ? 'active' : '' }}" title="ویدئوهای تایید شده" aria-current="page" href="{{ route('showVideoApproved') }}">
                        @svg('assets/admin/images/camera-video.svg', 'text-primary')
                        <span class="ms-2"{!! $menu_style !!}>ویدئوهای تایید شده</span>
                    </a>
                </li>
                <li class="nav-item mb-3">
                    <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('showVideoNotApproved') ? 'active' : '' }}" title="ویدئوهای تایید نشده" aria-current="page" href="{{ route('showVideoNotApproved') }}">
                        @svg('assets/admin/images/camera-video.svg', 'text-primary')
                        <span class="ms-2"{!! $menu_style !!}>ویدئوهای تایید نشده</span>
                    </a>
                </li>
            </ul>
        </div>



        @if (auth()->user()->hasRole('super admin'))
            <li class="nav-item mb-3">
                @php
                    $nav_status = false;
                    if (request()->routeIs(['users.*', 'roles.*', 'permissions.*'])) {
                        $nav_status = true;
                    }
                @endphp
                <div class="d-block px-3 py-1 text-body fs-normal{{ $nav_status ? '' : ' collapsed' }}" data-bs-toggle="collapse" data-bs-target="#userNavbarContent" aria-controls="userNavbarContent" aria-expanded="{{ $nav_status ? 'true' : 'false' }}">
                    @svg('assets/admin/images/person.svg', 'text-primary')
                    <span class="ms-2"{!! $menu_style !!}>کاربران</span>
                    @svg('assets/admin/images/arrow-left.svg', 'arrow float-start mt-1 text-primary')
                </div>
            </li>
            <div class="collapse{{ $nav_status ? ' show' : '' }}" id="userNavbarContent" data-bs-parent="#{{ $menu_id }}">
                <ul class="nav flex-column bg-secondary-subtle rounded mb-3 px-0 py-2">
                    <li class="nav-item mb-3">
                        <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('users.*') ? 'active' : '' }}" title="کاربران" aria-current="page" href="{{ route('users.index') }}">
                            @svg('assets/admin/images/user.svg', 'text-primary')
                            <span class="ms-2"{!! $menu_style !!}>کاربران</span>
                        </a>
                    </li>
{{--                    <li class="nav-item mb-3">--}}
{{--                        <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('roles.*') ? 'active' : '' }}" title="نقش‌ها" aria-current="page" href="{{ route('roles.index') }}">--}}
{{--                            @svg('assets/admin/images/role.svg', 'text-primary')--}}
{{--                            <span class="ms-2"{!! $menu_style !!}>نقش‌ها</span>--}}
{{--                        </a>--}}
{{--                    </li>--}}
{{--                    <li class="nav-item">--}}
{{--                        <a class="d-block mx-2 px-2 py-1 text-body {{ Request::routeIs('permissions.*') ? 'active' : '' }}" title="مجوز‌ها" aria-current="page" href="{{ route('permissions.index') }}">--}}
{{--                            @svg('assets/admin/images/permission.svg', 'text-primary')--}}
{{--                            <span class="ms-2"{!! $menu_style !!}>مجوز‌ها</span>--}}
{{--                        </a>--}}
{{--                    </li>--}}
                </ul>
            </div>
        @endif
        <li class="nav-item mb-3">
            <a class="d-block px-3 py-1 text-body {{ Request::routeIs('cities.index') ? 'active' : '' }}" title="شهرها" aria-current="page" href="{{ route('cities.index') }}">
                @svg('assets/admin/images/buildings.svg', 'text-primary')
                <span class="ms-2"{!! $menu_style !!}>شهرها</span>
            </a>
        </li>
        <li class="nav-item mb-3">
            <a class="d-block px-3 py-1 text-body {{ Request::routeIs('discount-codes.index') ? 'active' : '' }}" title="کدهای تخفیف" aria-current="page" href="{{ route('discount-codes.index') }}">
                @svg('assets/admin/images/upc-scan.svg', 'text-primary')
                <span class="ms-2"{!! $menu_style !!}>کدهای تخفیف</span>
            </a>
        </li>

        <li class="nav-item mb-3">
            <form class="d-block px-3 py-1" method="POST" action="{{ route('logout') }}">
                @csrf
                <button class="btn btn-transparent border-0 p-0 fs-normal" type="submit">
                    @svg('assets/admin/images/exit.svg', 'text-primary')
                    <span class="ms-2"{!! $menu_style !!}>خروج</span>
                </button>
            </form>
        </li>
        <li class="nav-item mb-3 d-none d-md-block">
            <div class="px-3 py-1 text-body sidebar-toggle" title="بستن/باز کردن" aria-current="page">
                @if ($toggled)
                    @svg('assets/admin/images/collapse.svg', 'text-primary d-none')
                    @svg('assets/admin/images/expand.svg', 'text-primary')
                @else
                    @svg('assets/admin/images/collapse.svg', 'text-primary')
                    @svg('assets/admin/images/expand.svg', 'text-primary d-none')
                @endif
                <span class="ms-2"{!! $menu_style !!}>بستن/باز کردن</span>
            </div>
        </li>
    </ul>
</div>
