@section('title', 'ایجاد مجوز')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')

            <div class="card">
                <div class="card-header position-relative">
                    <a href="{{ route('permissions.index') }}" class="position-absolute start-0 mx-2 fs-8 fw-normal">
                        @svg('assets/admin/images/back.svg')
                        <span>بازگشت</span>
                    </a>
                    ایجاد مجوز
                </div>
                <div class="card-body">
                    @if (Auth::user()->hasRole('super admin'))
                        <form action="{{ route('permissions.store') }}" method="post">
                            @csrf
                            <div class="row mb-3">
                                <label for="name" class="col-md-4 col-form-label text-md-end">نام</label>
                                <div class="col-md-6">
                                    <input type="text" id="name" name="name" class="form-control" required>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4"></div>
                                <div class="col-md-8">
                                    <button type="submit" class="btn btn-primary px-5">ذخیره</button>
                                </div>
                            </div>
                        </form>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
