@section('title', 'مجوزها')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            <div class="card">
                <div class="card-header">مجوز‌ها</div>
                <div class="card-body">
                    <a href="{{ route('permissions.create') }}" class="btn btn-outline-success" role="button">
                        + ایجاد مجوز جدید
                    </a>
                    @if (Auth::user()->hasRole('super admin'))
                        @if (!$permissions->isEmpty())
                            <table class="table table-hover align-middle mt-3">
                                <thead>
                                    <tr>
                                        <th>مجوز</th>
                                        <th class="text-end">عملیات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($permissions as $permission)
                                        <tr>
                                            <td class="fw-bold">
                                                <a><span>{{ $permission->name }}</span></a>
                                            </td>
                                            <td class="text-end">
                                                <form class="d-inline-block" action="{{ route('permissions.destroy', $permission) }}" method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button class="confirm-btn btn btn-danger" type="button">
                                                        @svg('assets/admin/images/delete.svg')
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <div class="mx-2">{{ $permissions->links() }}</div>
                        @else
                            <div class="my-4 text-center">هیچ مجوزی وجود ندارد.</div>
                        @endif
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
