@section('title', 'ویرایش نقش')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            <div class="card">
                <div class="card-header position-relative">
                    <a href="{{ route('roles.index') }}" class="position-absolute start-0 mx-2 fs-8 fw-normal">
                        @svg('assets/admin/images/back.svg')
                        <span>بازگشت</span>
                    </a>
                    ویرایش نقش «{{ $role->name }}»
                </div>
                <div class="card-body">
                    @if (Auth::user()->hasRole('super admin'))
                        <form action="{{ route('roles.update', $role) }}" method="POST">
                            @csrf
                            @method('PUT')
                            <div class="mb-3 row">
                                <label for="name" class="col-md-2 col-form-label text-md-end text-start">عنوان</label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" id="name" name="name" value="{{ $role->name }}" required>
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <label for="permissions" class="col-md-2 col-form-label text-md-end text-start">مجوز‌ها</label>
                                <div class="col-md-10">
                                    <div class="row">
                                        @foreach ($permissions as $value)
                                            <div class="col-md-4">
                                                <div class="form-check-reverse mb-2">
                                                    <label class="fs-7 form-check-label" for="{{ $value->id }}">{{ $value->name }}</label>
                                                    <input class="form-check-input" name="permissions[]" type="checkbox" value="{{ $value->id }}" id="{{ $value->id }}" {{ in_array($value->id, $role_permissions ?? []) ? 'checked' : '' }}>
                                                </div>
                                            </div>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-2"></div>
                                <div class="col-md-9">
                                    <button type="submit" class="btn btn-primary px-5">ویرایش</button>
                                </div>
                            </div>
                        </form>
                    @endif
                </div>
            </div>
        </div>
    </div>
@endsection
