@section('title', 'نقش‌ها')
@extends('admin.main')
@section('content')
    <div class="row justify-content-center">
        <div class="col-xl-7 col-lg-9">
            @include('admin.items.message')
            @if (Auth::user()->hasRole('super admin'))
                <div class="card">
                    <div class="card-header">نقش‌ها</div>
                    <div class="card-body">
                        <a href="{{ route('roles.create') }}" class="btn btn-outline-success" role="button">
                            + ایجاد نقش جدید
                        </a>
                        @if (!$roles->isEmpty())
                            <table class="table table-hover align-middle mt-3">
                                <thead>
                                    <tr>
                                        <th>نقش</th>
                                        <th class="text-end">عملیات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($roles as $role)
                                        <tr>
                                            <td class="fw-bold">
                                                <a href="{{ route('roles.edit', $role->id) }}"> <span>{{ $role->name }}</span></a>
                                            </td>
                                            <td class="text-end">
                                                <a href="{{ route('roles.edit', $role->id) }}" class="btn btn-success">
                                                    @svg('assets/admin/images/edit.svg')
                                                </a>
                                                <form class="d-inline-block" action="{{ route('roles.destroy', $role) }}" method="POST">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button class="confirm-btn btn btn-danger" type="button">
                                                        @svg('assets/admin/images/delete.svg')
                                                    </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                            <div class="mx-2">{{ $roles->links() }}</div>
                        @else
                            <div class="my-4 text-center">هیچ نقشی وجود ندارد.</div>
                        @endif
                    </div>
                </div>
            @endif
        </div>
    </div>
@endsection
