<form method="post" class="{{ $class }}">
    @csrf
    <input type="hidden" name="post_id" id="post_id" value="{{ $data->id }}" />
    <div class="row mb-4">
        <div class="col-md-6">
            <label for="name" class="form-label text-muted">نام *</label>
            <input type="text" name="name" id="name" class="form-control" value="{{ request()->cookie('user_name') }}" required>
        </div>
        <div class="col-md-6">
            <label for="mail" class="form-label text-muted">ایمیل *</label>
            <input type="email" name="mail" id="mail" class="form-control" value="{{ request()->cookie('user_email') }}" required>
        </div>
    </div>
    <div class="col-md-12 mb-3">
        <div class="d-flex justify-content-between">
            <label for="comment_content" class="form-label text-muted">دیدگاه *</label>
        </div>
        <textarea name="comment_content" class="form-control" id="comment_content" rows="4" placeholder="750 / 0" required maxlength="750">{{ old('comment_content') }}</textarea>
    </div>
    <div class="form-check mb-3">
        <input name="comment_cookies_consent" class="align-middle" type="checkbox" value="1" id="comment_cookies_consent" {{ request()->cookie('user_email') ? 'checked' : '' }}>
        <label class="form-check-label" for="comment_cookies_consent">
            ذخیره نام و ایمیل من در مرورگر برای زمانی که دوباره دیدگاهی می‌نویسم.
        </label>
    </div>
    <label class="captchaQuestion">{{ $question }}</label>
    <input type="number" name="captcha" id="captcha" class="captcha-answer border border-1 rounded-1 border-opacity-25" required>
    <button type="button" class="refreshCaptcha bg-transparent border-0">
        @svg('assets/images/icons/arrow-repeat.svg')
    </button>
    <div class="form-group my-3">
        @if ($class)
            <input type="button" class="btn btn-secondary comment-store mt-2" value="پاسخ" />
            <input type="button" class="btn btn-outline-gray comment-dismiss mt-2" value="لغو" />
        @else
            <input type="button" class="comment-store btn btn-secondary mt-2" value="ثبت دیدگاه" />
        @endif
    </div>
</form>
